Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet
Class TypeDependency

    java.lang.Object
      org.mindswap.pellet.TypeDependency

All Implemented Interfaces:
  Dependency

    public class TypeDependency

extends java.lang.Object
implements Dependency

A type dependency.

Author:
  Christian Halaschek-Wiener

Constructor Summary
`TypeDependency(aterm.ATermAppl ind, aterm.ATermAppl type)` Constructor

Method Summary
`boolean` | `equals(java.lang.Object other)` Equals method
`aterm.ATermAppl` | `getInd()` Get the individual
`aterm.ATermAppl` | `getType()` Get the type
`int` | `hashCode()` Hashcode method
`java.lang.String` | `toString()` ToString method

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypeDependency

    public TypeDependency(aterm.ATermAppl ind,
                          aterm.ATermAppl type)

  Constructor

  Parameters:
    `ind` -
    `type` -

Method Detail

### getInd

    public aterm.ATermAppl getInd()

  Get the individual

  Returns:

### getType

    public aterm.ATermAppl getType()

  Get the type

  Returns:

### toString

    public java.lang.String toString()

  ToString method

  Specified by:
    `toString` in interface `Dependency`
  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Equals method

  Specified by:
    `equals` in interface `Dependency`
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Hashcode method

  Specified by:
    `hashCode` in interface `Dependency`
  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.